linux-oem-5.6-tools-common and -tools-host should be dropped

Bug #1881120 reported by Hathaway-dave on 2020-05-28
62
This bug affects 10 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
Focal
Low
Unassigned
linux-oem-5.6 (Ubuntu)
Undecided
Unassigned
Focal
Undecided
Timo Aaltonen

Bug Description

[Impact]

linux-oem-5.6 built -tools-common and -tools-host, which conflict with the master kernel versions. These shouldn't be built at all.

[Test case]

Check that upgrade removes the oem versions.

[Regression potential]

shouldn't be any

--

Updating 20.04, unaware of details

package linux-oem-5.6-tools-common 5.6.0-1008.8 [modified: usr/share/bash-completion/completions/bpftool usr/share/man/man1/cpupower.1.gz usr/share/man/man1/perf-annotate.1.gz usr/share/man/man1/perf-archive.1.gz usr/share/man/man1/perf-bench.1.gz usr/share/man/man1/perf-buildid-cache.1.gz usr/share/man/man1/perf-buildid-list.1.gz usr/share/man/man1/perf-c2c.1.gz usr/share/man/man1/perf-config.1.gz usr/share/man/man1/perf-data.1.gz usr/share/man/man1/perf-diff.1.gz usr/share/man/man1/perf-evlist.1.gz usr/share/man/man1/perf-ftrace.1.gz usr/share/man/man1/perf-help.1.gz usr/share/man/man1/perf-inject.1.gz usr/share/man/man1/perf-kallsyms.1.gz usr/share/man/man1/perf-kmem.1.gz usr/share/man/man1/perf-kvm.1.gz usr/share/man/man1/perf-list.1.gz usr/share/man/man1/perf-lock.1.gz usr/share/man/man1/perf-mem.1.gz usr/share/man/man1/perf-probe.1.gz usr/share/man/man1/perf-record.1.gz usr/share/man/man1/perf-report.1.gz usr/share/man/man1/perf-sched.1.gz usr/share/man/man1/perf-script-perl.1.gz usr/share/man/man1/perf-script-python.1.gz usr/share/man/man1/perf-script.1.gz usr/share/man/man1/perf-stat.1.gz usr/share/man/man1/perf-test.1.gz usr/share/man/man1/perf-timechart.1.gz usr/share/man/man1/perf-top.1.gz usr/share/man/man1/perf-trace.1.gz usr/share/man/man1/perf-version.1.gz usr/share/man/man1/perf.1.gz usr/share/man/man8/bpftool-map.8.gz usr/share/man/man8/bpftool-prog.8.gz usr/share/man/man8/bpftool.8.gz] failed to install/upgrade: trying to overwrite '/usr/bin/acpidbg', which is also in package linux-tools-common 5.4.0-31.35

ProblemType: Package
DistroRelease: Ubuntu 20.04
ProcVersionSignature: Ubuntu 5.4.0-31.35-generic 5.4.34
Uname: Linux 5.4.0-31-generic x86_64
ApportVersion: 2.20.11-0ubuntu27
Architecture: amd64
CasperMD5CheckResult: skip
Date: Thu May 28 07:43:09 2020
ErrorMessage: trying to overwrite '/usr/bin/acpidbg', which is also in package linux-tools-common 5.4.0-31.35
InstallationDate: Installed on 2020-04-28 (29 days ago)
InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
PackageArchitecture: all
Python3Details: /usr/bin/python3.8, Python 3.8.2, python3-minimal, 3.8.2-0ubuntu2
PythonDetails: /usr/bin/python2.7, Python 2.7.18rc1, python-is-python2, 2.7.17-4
RelatedPackageVersions:
 dpkg 1.19.7ubuntu3
 apt 2.0.2ubuntu0.1
SourcePackage: linux-oem-5.6
UpgradeStatus: No upgrade log present (probably fresh install)

Hathaway-dave (hathaway-dave) wrote :
tags: removed: need-duplicate-check
Timo Aaltonen (tjaalton) on 2020-05-28
summary: - package linux-oem-5.6-tools-common 5.6.0-1008.8 [modified: usr/share
- /bash-completion/completions/bpftool usr/share/man/man1/cpupower.1.gz
- usr/share/man/man1/perf-annotate.1.gz usr/share/man/man1/perf-
- archive.1.gz usr/share/man/man1/perf-bench.1.gz usr/share/man/man1/perf-
- buildid-cache.1.gz usr/share/man/man1/perf-buildid-list.1.gz
- usr/share/man/man1/perf-c2c.1.gz usr/share/man/man1/perf-config.1.gz
- usr/share/man/man1/perf-data.1.gz usr/share/man/man1/perf-diff.1.gz
- usr/share/man/man1/perf-evlist.1.gz usr/share/man/man1/perf-ftrace.1.gz
- usr/share/man/man1/perf-help.1.gz usr/share/man/man1/perf-inject.1.gz
- usr/share/man/man1/perf-kallsyms.1.gz usr/share/man/man1/perf-kmem.1.gz
- usr/share/man/man1/perf-kvm.1.gz usr/share/man/man1/perf-list.1.gz
- usr/share/man/man1/perf-lock.1.gz usr/share/man/man1/perf-mem.1.gz
- usr/share/man/man1/perf-probe.1.gz usr/share/man/man1/perf-record.1.gz
- usr/share/man/man1/perf-report.1.gz usr/share/man/man1/perf-sched.1.gz
- usr/share/man/man1/perf-script-perl.1.gz usr/share/man/man1/perf-script-
- python.1.gz usr/share/man/man1/perf-script.1.gz usr/share/man/man1/perf-
- stat.1.gz usr/share/man/man1/perf-test.1.gz usr/share/man/man1/perf-
- timechart.1.gz usr/share/man/man1/perf-top.1.gz usr/share/man/man1/perf-
- trace.1.gz usr/share/man/man1/perf-version.1.gz
- usr/share/man/man1/perf.1.gz usr/share/man/man8/bpftool-map.8.gz
- usr/share/man/man8/bpftool-prog.8.gz usr/share/man/man8/bpftool.8.gz]
- failed to install/upgrade: trying to overwrite '/usr/bin/acpidbg', which
- is also in package linux-tools-common 5.4.0-31.35
+ linux-oem-5.6-tools-common should be dropped
description: updated

linux-oem-5.6 is fixed in git, linux still needs to add conflicts for linux-oem-5.6-tools-common so it gets removed

Changed in linux-oem-5.6 (Ubuntu Focal):
assignee: nobody → Timo Aaltonen (tjaalton)
status: New → In Progress

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Changed in linux (Ubuntu Focal):
status: New → Confirmed

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux-oem-5.6 (Ubuntu):
status: New → Confirmed
Stefan Bader (smb) on 2020-06-12
Changed in linux (Ubuntu Focal):
importance: Undecided → Low
Changed in linux (Ubuntu):
status: Confirmed → Invalid
Timo Aaltonen (tjaalton) on 2020-06-12
summary: - linux-oem-5.6-tools-common should be dropped
+ linux-oem-5.6-tools-common and -tools-host should be dropped
description: updated
Timo Aaltonen (tjaalton) on 2020-06-12
Changed in linux-oem-5.6 (Ubuntu Focal):
status: In Progress → Fix Committed

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-focal' to 'verification-done-focal'. If the problem still exists, change the tag 'verification-needed-focal' to 'verification-failed-focal'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-focal
fcole90 (fcole90) wrote :

It's likely bug 1877849 is related to this: it's for issues with dependencies between linux-oem-5.6-tools-common and linux-tools-common.

Changed in linux (Ubuntu Focal):
status: Confirmed → Fix Committed

All autopkgtests for the newly accepted linux-oracle-5.4 (5.4.0-1019.19~18.04.1) for bionic have finished running.
The following regressions have been reported in tests triggered by the package:

zfs-linux/unknown (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/bionic/update_excuses.html#linux-oracle-5.4

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Launchpad Janitor (janitor) wrote :
Download full text (30.0 KiB)

This bug was fixed in the package linux - 5.4.0-40.44

---------------
linux (5.4.0-40.44) focal; urgency=medium

  * linux-oem-5.6-tools-common and -tools-host should be dropped (LP: #1881120)
    - [Packaging] Add Conflicts/Replaces to remove linux-oem-5.6-tools-common and
      -tools-host

  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts

  * Slow send speed with Intel I219-V on Ubuntu 18.04.1 (LP: #1802691)
    - e1000e: Disable TSO for buffer overrun workaround

  * CVE-2020-0543
    - UBUNTU/SAUCE: x86/speculation/srbds: do not try to turn mitigation off when
      not supported

  * Realtek 8723DE [10ec:d723] subsystem [10ec:d738] disconnects unsolicitedly
    when Bluetooth is paired: Reason: 23=IEEE8021X_FAILED (LP: #1878147)
    - SAUCE: Revert "UBUNTU: SAUCE: rtw88: Move driver IQK to set channel before
      association for 11N chip"
    - SAUCE: Revert "UBUNTU: SAUCE: rtw88: fix rate for a while after being
      connected"
    - SAUCE: Revert "UBUNTU: SAUCE: rtw88: No retry and report for auth and assoc"
    - SAUCE: Revert "UBUNTU: SAUCE: rtw88: 8723d: Add coex support"
    - rtw88: add a debugfs entry to dump coex's info
    - rtw88: add a debugfs entry to enable/disable coex mechanism
    - rtw88: 8723d: Add coex support
    - SAUCE: rtw88: coex: 8723d: set antanna control owner
    - SAUCE: rtw88: coex: 8723d: handle BT inquiry cases
    - SAUCE: rtw88: fix EAPOL 4-way failure by finish IQK earlier

  * CPU stress test fails with focal kernel (LP: #1867900)
    - [Config] Disable hisi_sec2 temporarily

  * Enforce all config annotations (LP: #1879327)
    - [Config]: do not enforce CONFIG_VERSION_SIGNATURE
    - [Config]: prepare to enforce all
    - [Config]: enforce all config options

  * Focal update: v5.4.44 upstream stable release (LP: #1881927)
    - ax25: fix setsockopt(SO_BINDTODEVICE)
    - dpaa_eth: fix usage as DSA master, try 3
    - net: don't return invalid table id error when we fall back to PF_UNSPEC
    - net: dsa: mt7530: fix roaming from DSA user ports
    - net: ethernet: ti: cpsw: fix ASSERT_RTNL() warning during suspend
    - __netif_receive_skb_core: pass skb by reference
    - net: inet_csk: Fix so_reuseport bind-address cache in tb->fast*
    - net: ipip: fix wrong address family in init error path
    - net/mlx5: Add command entry handling completion
    - net: mvpp2: fix RX hashing for non-10G ports
    - net: nlmsg_cancel() if put fails for nhmsg
    - net: qrtr: Fix passing invalid reference to qrtr_local_enqueue()
    - net: revert "net: get rid of an signed integer overflow in
      ip_idents_reserve()"
    - net sched: fix reporting the first-time use timestamp
    - net/tls: fix race condition causing kernel panic
    - nexthop: Fix attribute checking for groups
    - r8152: support additional Microsoft Surface Ethernet Adapter variant
    - sctp: Don't add the shutdown timer if its already been added
    - sctp: Start shutdown on association restart if in SHUTDOWN-SENT state and
      socket is closed
    - tipc: block BH before using dst_cache
    - net/mlx5e: kTLS, Destroy key object after destroying the TIS
    - net/mlx5e: Fix inner tirs handling
    - net/m...

Changed in linux (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (30.4 KiB)

This bug was fixed in the package linux-oem-5.6 - 5.6.0-1018.18

---------------
linux-oem-5.6 (5.6.0-1018.18) focal; urgency=medium

  * focal/linux-oem-5.6: 5.6.0-1018.18 -proposed tracker (LP: #1884496)

  * Focal update: v5.6.18 upstream stable release (LP: #1883304)
    - devinet: fix memleak in inetdev_init()
    - l2tp: add sk_family checks to l2tp_validate_socket
    - l2tp: do not use inet_hash()/inet_unhash()
    - net: check untrusted gso_size at kernel entry
    - net/mlx5: Fix crash upon suspend/resume
    - net: stmmac: enable timestamp snapshot for required PTP packets in dwmac
      v5.10a
    - net: usb: qmi_wwan: add Telit LE910C1-EUX composition
    - NFC: st21nfca: add missed kfree_skb() in an error path
    - nfp: flower: fix used time of merge flow statistics
    - sctp: check assoc before SCTP_ADDR_{MADE_PRIM, ADDED} event
    - virtio_vsock: Fix race condition in virtio_transport_recv_pkt
    - vsock: fix timeout in vsock_accept()
    - net: be more gentle about silly gso requests coming from user
    - net: dsa: felix: send VLANs on CPU port as egress-tagged
    - mptcp: fix unblocking connect()
    - net/sched: fix infinite loop in sch_fq_pie
    - net/mlx5e: replace EINVAL in mlx5e_flower_parse_meta()
    - USB: serial: qcserial: add DW5816e QDL support
    - USB: serial: usb_wwan: do not resubmit rx urb on fatal errors
    - USB: serial: option: add Telit LE910C1-EUX compositions
    - USB: serial: ch341: add basis for quirk detection
    - USB: serial: ch341: fix lockup of devices with limited prescaler
    - iio:chemical:sps30: Fix timestamp alignment
    - iio: vcnl4000: Fix i2c swapped word reading.
    - iio:chemical:pms7003: Fix timestamp alignment and prevent data leak.
    - iio: adc: stm32-adc: fix a wrong error message when probing interrupts
    - usb: musb: start session in resume for host port
    - usb: musb: Fix runtime PM imbalance on error
    - serial: 8250: Enable 16550A variants by default on non-x86
    - vt: keyboard: avoid signed integer overflow in k_ascii
    - tty: hvc_console, fix crashes on parallel open/close
    - staging: rtl8712: Fix IEEE80211_ADDBA_PARAM_BUF_SIZE_MASK
    - CDC-ACM: heed quirk also in error handling
    - nvmem: qfprom: remove incorrect write support
    - x86/cpu: Add a steppings field to struct x86_cpu_id
    - x86/cpu: Add 'table' argument to cpu_matches()
    - x86/speculation: Add Special Register Buffer Data Sampling (SRBDS)
      mitigation
    - x86/speculation: Add SRBDS vulnerability and mitigation documentation
    - x86/speculation: Add Ivy Bridge to affected list
    - uprobes: ensure that uprobe->offset and ->ref_ctr_offset are properly
      aligned
    - Revert "net/mlx5: Annotate mutex destroy for root ns"
    - Linux 5.6.18

  * NULL pointer dereference in nvme reset work-queue when VMD raid mode and
    SecureBoot turned on simultaneously on TigerLake (LP: #1876707)
    - iommu: Use C99 flexible array in fwspec
    - iommu: Define dev_iommu_fwspec_get() for !CONFIG_IOMMU_API
    - ACPI/IORT: Remove direct access of dev->iommu_fwspec
    - drm/msm/mdp5: Remove direct access of dev->iommu_fwspec
    - iommu/tegra-gart: Remove direct access of dev->i...

Changed in linux-oem-5.6 (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem-5.6 - 5.6.0-1020.20

---------------
linux-oem-5.6 (5.6.0-1020.20) focal; urgency=medium

  * focal/linux-oem-5.6: 5.6.0-1020.20 -proposed tracker (LP: #1886753)

  * Realtek [10ec:c82f] Subsystem [17aa:c02f] Wifi adapter not found
    (LP: #1886247)
    - SAUCE: rtw88: 8822ce: add support for device ID 0xc82f

  * [WD19TB] external DP failed with DRM error message (LP: #1886165)
    - drm/i915/tgl: Update TC DP vswing table
    - drm/i915/tgl: Implement WA_16011163337
    - SAUCE: drm/i915/bios: add intel_bios_hdmi_level_shift()
    - drm/i915/tgl: Add HBR and HBR2+ voltage swing table
    - drm/i915/dc3co: Avoid full modeset when EXITLINE needs to be changed
    - drm/i915/tgl+: Use the correct DP_TP_* register instances in MST encoders
    - drm/i915/tgl+: Fix TBT DPLL fractional divider for 38.4MHz ref clock

  * ubuntu_aufs_smoke_test failed on Focal OEM 5.6 (LP: #1879308)
    - SAUCE: fs: Enable aufs

 -- Timo Aaltonen <email address hidden> Wed, 08 Jul 2020 11:44:53 +0300

Changed in linux-oem-5.6 (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 5.4.0-42.46

---------------
linux (5.4.0-42.46) focal; urgency=medium

  * focal/linux: 5.4.0-42.46 -proposed tracker (LP: #1887069)

  * linux 4.15.0-109-generic network DoS regression vs -108 (LP: #1886668)
    - SAUCE: Revert "netprio_cgroup: Fix unlimited memory leak of v2 cgroups"

linux (5.4.0-41.45) focal; urgency=medium

  * focal/linux: 5.4.0-41.45 -proposed tracker (LP: #1885855)

  * Packaging resync (LP: #1786013)
    - update dkms package versions

  * CVE-2019-19642
    - kernel/relay.c: handle alloc_percpu returning NULL in relay_open

  * CVE-2019-16089
    - SAUCE: nbd_genl_status: null check for nla_nest_start

  * CVE-2020-11935
    - aufs: do not call i_readcount_inc()

  * ip_defrag.sh in net from ubuntu_kernel_selftests failed with 5.0 / 5.3 / 5.4
    kernel (LP: #1826848)
    - selftests: net: ip_defrag: ignore EPERM

  * Update lockdown patches (LP: #1884159)
    - SAUCE: acpi: disallow loading configfs acpi tables when locked down

  * seccomp_bpf fails on powerpc (LP: #1885757)
    - SAUCE: selftests/seccomp: fix ptrace tests on powerpc

  * Introduce the new NVIDIA 418-server and 440-server series, and update the
    current NVIDIA drivers (LP: #1881137)
    - [packaging] add signed modules for the 418-server and the 440-server
      flavours

 -- Khalid Elmously <email address hidden> Thu, 09 Jul 2020 19:50:26 -0400

Changed in linux (Ubuntu):
status: Invalid → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers